//--------------------------------------------------------------------- 
#include "BFindWindow.h"
//--------------------------------------------------------------------- 
BFindWindow::BFindWindow(BRect frame,const char *title) 
    :BWindow(frame,title,FINDWINDOW_WINDOWSTYLE,0) 
{ 
    BFindView *findview=new BFindView(Bounds());    
    AddChild(findview); 

    SetDefaultButton((BButton *)findview->FindView("btnfind"));
    findview->FindView("txtfind")->MakeFocus();
} 
//--------------------------------------------------------------------- 
void BFindWindow::MessageReceived(BMessage *msg) 
{ 
    switch(msg->what) 
    { 
        case MSG_FIND: 
            {
                msg->AddString("findword",
                    ((BTextControl *)FindView("txtfind"))->Text());
                msg->AddString("replaceword",
                    ((BTextControl *)FindView("txtrepl"))->Text());
                msg->AddBool("ignorecase",
                    (((BCheckBox *)FindView("chkcase"))->Value()
                                                   ==B_CONTROL_ON));
                be_app->PostMessage(msg);

                PostMessage(B_QUIT_REQUESTED);
            } 
            break;        
        default: 
            BWindow::MessageReceived(msg); 
    } 
} 
//--------------------------------------------------------------------- 
BFindView::BFindView(BRect frame) 
    :BView(frame,"findview",B_FOLLOW_ALL,B_WILL_DRAW) 
{ 
    BTextControl *txtfind=new BTextControl(BRect(8,8,240,20),"txtfind",
                                           "Find","",NULL);
    BTextControl *txtrepl=new BTextControl(BRect(8,28,240,40),"txtrepl",
                                           "Replace","",NULL);
    BCheckBox *chkcase=new BCheckBox(BRect(8,48,240,60),"chkcase",
                                     "Ignore case",NULL);
    txtfind->SetDivider(40);
    AddChild(txtfind);
    txtrepl->SetDivider(40);
    AddChild(txtrepl);
    chkcase->SetValue(B_CONTROL_OFF);
    AddChild(chkcase);
    AddChild(new BButton(BRect(256,8,296,20),"btnfind","Find",
                         new BMessage(MSG_FIND)));
} 
//--------------------------------------------------------------------- 
