#ifndef MAINWINDOW 
#define MAINWINDOW 
//--------------------------------------------------------------------- 
#include <Be.h> 
#include "BMemoView.h" 
//--------------------------------------------------------------------- 
#define MAINWINDOW_TITLE            "BTinyEditor" 
#define MAINWINDOW_POSITION_LEFT    100 
#define MAINWINDOW_POSITION_TOP     100 
#define MAINWINDOW_POSITION_WIDTH   600 
#define MAINWINDOW_POSITION_HEIGHT  400 
#define MAINWINDOW_WINDOWSTYLE      (B_DOCUMENT_WINDOW) 
//--------------------------------------------------------------------- 
#define MSG_OPEN      'mopn' 
#define MSG_SAVE      'msav' 
#define MSG_SAVEAS    'msva' 

#define MSG_CLOSED    'mcld' 
#define MSG_QUIT      'mqit' 
#define MSG_ADDEDITOR 'madd'
#define MSG_ACTIVATE  'mwac' 
#define MSG_SHOWFIND  'msfd'
#define MSG_FINDNEXT  'mfdn'
#define MSG_REPLACEFINDNEXT 'mraf'
//--------------------------------------------------------------------- 
class BAppMainView : public BView 
{ 
public: 
    BMemoView *memo; 
    BAppMainView(BRect frame); 
}; 
//--------------------------------------------------------------------- 
class BAppMainWindow : public BWindow 
{ 
private: 
    BFilePanel *save_filepanel; 
    bool save_to_quit; 
    void SetFileName(BEntry *entry); 
public: 
    BPath *editingpath; 
    BAppMainView *mainview; 
    //----------------------------------------------------------------- 
    BAppMainWindow(BRect frame,const char *title); 
    ~BAppMainWindow(); 
    virtual void MessageReceived(BMessage *msg); 
    void OpenFile(BEntry *entry); 
    void SaveFile(BEntry *entry); 
    void FindWord(const BString &findword,const bool ignorecase);
    void ReplaceWord(const BString &replaceword);
    //----------------------------------------------------------------- 
    bool QuitRequested();
    virtual void WindowActivated(bool active); 
}; 
//--------------------------------------------------------------------- 
#endif